Bug 1889468 - Drop ovirt input and elasticsearch output from the logging role documentations
Summary: Drop ovirt input and elasticsearch output from the logging role documentations
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rhel-system-roles
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Eliane Ramos Pereira
QA Contact: CS System Management SST QE
Eliane Ramos Pereira
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-19 18:02 UTC by Noriko Hosoi
Modified: 2020-11-13 16:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
.`oVirt` input and the `elasticsearch` output functionalities are not supported in System Roles Logging The `oVirt` input and the `elasticsearch` output are not supported in System Roles Logging although they are mentioned in the README file. There is no workaround available at the moment.
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Noriko Hosoi 2020-10-19 18:02:54 UTC
Description of problem:
Current logging role release mentions the ovirt input and the elasticsearch output in README.
https://github.com/linux-system-roles/logging/

The features are not tested due to the lack of the resource. Thus, we should not claim they are supported.

AI: nhosoi - updating the README to remove ovirt and elasticsearch from the page.
AI: doc - if ovirt and elasticsearch are mentioned in the logging role doc draft, remove them.
AI: doc - add a release note that ovirt input and elasticsearch output are not supported.

Comment 1 Shirly Radco 2020-10-20 06:31:18 UTC
This flow is tested in oVirt.
I think it should be mentioned at least in the specific input and output README
and mention that this is used only as part of oVirt.
This documentation is important for oVirt.

What is the reason the elasticsearch output is not supported?

Comment 2 Rich Megginson 2020-10-20 13:25:27 UTC
> What is the reason the elasticsearch output is not supported?

Will oVirt QE be testing this functionality?

Comment 3 Shirly Radco 2020-10-20 13:54:04 UTC
Yes. They are testing this.
Not all use cases, but the standard flow.

Comment 4 Noriko Hosoi 2020-10-20 15:32:47 UTC
(In reply to Shirly Radco from comment #3)
> Yes. They are testing this.
> Not all use cases, but the standard flow.

Shirly, thank you for the clarification and sorry for my misunderstading. I thought there is no capacity in the ovirt team to test the logging role in rhel 8.3.0. 

If it is being tested, is it ok to assign this ticket to the QE engineer targeting rhel 8.3.1 & Q4?

https://issues.redhat.com/browse/RHELPLAN-42379
Logging - Support oVirt input + elasticsearch output

Or may I open a bz for the task? Please note that the latest version is rhel-system-roles-1.0-20.el8.

And if that's the case, of course, I'm more than happy to close this bz. ;)
Thanks!

Comment 5 Noriko Hosoi 2020-10-20 16:02:15 UTC
> What is the reason the elasticsearch output is not supported?

The current elasticsearch output is meaningful only when $.input_type is set to "ovirt", which happens in the ovirt input. So, there is no reason to keep this elasticsearch output without ovirt input...
https://github.com/linux-system-roles/logging/blob/master/roles/rsyslog/templates/output_elasticsearch.j2#L32

Comment 6 Noriko Hosoi 2020-10-22 18:32:22 UTC
Based on the discussion in the core team,
- The functionality oVirt+elasticsearch is to be verified for rhel-8.3.1 or later by the oVirt team.
  BZ1889893 is going to be used for the purpose.
  Bug 1889893 - Logging - Support oVirt input + elasticsearch output
- The combination is not supported with the version 8.3.0 and it should be addressed in known issue since README in the package mentions them.

Considering them, this b1889468 is still open and active. And we are going to officially announce the support for the oVirt+elasticsearch with the verified version using bz1889893.

Eliane, to got to the next step - adding this item to the known issue, what changes shall I make in this bz? E.g., status, ownership?
Also, in the 8.3.0 RHEL System Roles doc (I think the logging role section is being written), the oVirt and elasticsearch should not be mentioned. Could you please tell me what is the best way to share the information with the doc writer?
Thanks!


Note You need to log in before you can comment on or make changes to this bug.